Summary:       X.Org X11 miscellaneous fixes extension library
Name:          libXfixes
Version:       6.0.1
Release:       1%{?dist}
License:       MIT
URL:           http://www.x.org
Source0:       http://xorg.freedesktop.org/archive/individual/lib/%{name}-%{version}.tar.xz

BuildRequires: make autoconf automake libtool
BuildRequires: xorg-x11-util-macros
BuildRequires: pkgconfig(fixesproto) pkgconfig(xext)
BuildRequires: libX11-devel >= 1.5.99.902
Requires:      libX11 >= 1.6

%description
X.Org X11 miscellaneous fixes extension library

%package devel
Summary:       X.Org X11 miscellaneous fixes extension development package
Requires:      %{name} = %{version}-%{release}
Requires:      pkgconfig

%description devel
X.Org X11 miscellaneous fixes extension development package

%prep
%autosetup

%build
autoreconf -fiv
%configure --disable-static
%make_build

%install
rm -rf %{buildroot}/
%make_install
rm -f %{buildroot}%{_libdir}/*.la

%files
%license COPYING
%doc AUTHORS README.md
%{_libdir}/libXfixes.so.3
%{_libdir}/libXfixes.so.3.1.0

%files devel
%{_includedir}/X11/extensions/Xfixes.h
%{_libdir}/libXfixes.so
%{_libdir}/pkgconfig/xfixes.pc
%{_mandir}/man3/Xfixes.3*

%changelog
* Wed Aug 02 2023 kianli <kianli@tencent.com> - 6.0.1-1
- Upgrade to 6.0.1

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.0.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.0.0-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Jul 20 2022 ZoeDong <zoedong@tencent.com> - 6.0.0-1
- Initial build
